Skip to content
Start here

Get robots.txt rules

GET/zones/{zone_id}/ai-audit/robots

Fetches and parses the robots.txt file for a zone or a specific subdomain within the zone. Returns parsed user-agent rules, content signals, and sitemaps.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
Path ParametersExpand Collapse
zone_id: string
Query ParametersExpand Collapse
subdomain: optional string

Optional subdomain to fetch robots.txt for. If omitted, fetches robots.txt for the zone apex domain.

ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: boolean
result: optional object { userAgents, sitemaps, status }

Parsed robots.txt rules for a single domain.

userAgents: map[object { allow, disallow, contentSignals, crawlDelay } ]

Map of user-agent string to its parsed rules.

allow: array of string

List of allowed path patterns.

disallow: array of string

List of disallowed path patterns.

contentSignals: optional object { "ai-input", "ai-train", search }

Content signal directives from robots.txt.

"ai-input": optional "yes" or "no"

Whether AI input usage is permitted.

One of the following:
"yes"
"no"
"ai-train": optional "yes" or "no"

Whether AI training is permitted.

One of the following:
"yes"
"no"
One of the following:
crawlDelay: optional number

Crawl delay in seconds.

sitemaps: optional array of string

List of sitemap URLs found in robots.txt.

status: optional number

HTTP status code from fetching the robots.txt file.

Get robots.txt rules

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/ai-audit/robots \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "userAgents": {
      "foo": {
        "allow": [
          "string"
        ],
        "disallow": [
          "string"
        ],
        "contentSignals": {
          "ai-input": "yes",
          "ai-train": "yes",
          "search": "yes"
        },
        "crawlDelay": 0
      }
    },
    "sitemaps": [
      "string"
    ],
    "status": 0
  }
}
Returns Examples
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "userAgents": {
      "foo": {
        "allow": [
          "string"
        ],
        "disallow": [
          "string"
        ],
        "contentSignals": {
          "ai-input": "yes",
          "ai-train": "yes",
          "search": "yes"
        },
        "crawlDelay": 0
      }
    },
    "sitemaps": [
      "string"
    ],
    "status": 0
  }
}